## Apache Zeta Components Manual :: Docs For Class ezcSearchEmbeddedManager

### Search::ezcSearchEmbeddedManager

### Class ezcSearchEmbeddedManager

Handles document type definitions embedded in the class the definitions are for.

It calls the fetchDefinition() method on the class in order to retrieve the definition. This method is required to return an ezcSearchDocumentDefinition object. The method is part of the interface ezcSearchDefinitionProvider.

Source for this file: /Search/src/managers/embedded_manager.php

### Implements interfaces:

- ezcSearchDefinitionManager

Version: | //autogen//

### Method Summary

public ezcSearchEmbeddedManager | `__construct( )` Constructs a new embedded manager.
public ezcSearchDocumentDefinition | `fetchDefinition( $type )` Returns the definition of the search document with the type $type.

### Methods

#### __construct

ezcSearchEmbeddedManager __construct( )

Constructs a new embedded manager.

#### fetchDefinition

ezcSearchDocumentDefinition fetchDefinition( string $type )

Returns the definition of the search document with the type $type.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$type` | string |

##### Exceptions:

Type | Description
--- | ---
`ezcSearchDefinitionInvalidException` | if the definition does not have an "idProperty" attribute.
`ezcSearchDoesNotProvideDefinitionException` | if no such definition can be found.

##### Implementation of:

Method | Description
--- | ---
`ezcSearchDefinitionManager::fetchDefinition()` | Returns the definition of the document type $type.

Documentation generated by phpDocumentor 1.4.3